package com.secspace.lib.common.function.model;

import android.arch.persistence.room.ColumnInfo;
import android.arch.persistence.room.Entity;
import android.arch.persistence.room.PrimaryKey;

import org.jetbrains.annotations.NotNull;

import java.io.Serializable;

@Entity(tableName = "use_time")
public class UseTime implements Serializable {
    @PrimaryKey(autoGenerate = true)
    private Integer id;

    @ColumnInfo(name = "start_time")
    private Long useStartTime;

    @ColumnInfo(name = "end_time")
    private Long useEndTime;

    @ColumnInfo(name = "upload_time")
    private Long uploadTime;

    @ColumnInfo(name = "app_package")
    private @NotNull
    String appPackage;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Long getUseStartTime() {
        return useStartTime;
    }

    public void setUseStartTime(Long useStartTime) {
        this.useStartTime = useStartTime;
    }

    public Long getUseEndTime() {
        return useEndTime;
    }

    public void setUseEndTime(Long useEndTime) {
        this.useEndTime = useEndTime;
    }

    public Long getUploadTime() {
        return uploadTime;
    }

    public void setUploadTime(Long uploadTime) {
        this.uploadTime = uploadTime;
    }

    @NotNull
    public String getAppPackage() {
        return appPackage;
    }

    public void setAppPackage(@NotNull String appPackage) {
        this.appPackage = appPackage;
    }
}
